Bug 1749061 - Choice in Drop Down that References Category (Tag Control Item) is Incorrect
Summary: Choice in Drop Down that References Category (Tag Control Item) is Incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.5
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: GA
: 5.10.10
Assignee: Roman Blanco
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1729379
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-04 19:12 UTC by Satoe Imaishi
Modified: 2019-12-09 11:53 UTC (History)
16 users (show)

Fixed In Version: 5.10.10.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1729379
Environment:
Last Closed: 2019-09-23 19:43:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
datastore (954.13 KB, application/zip)
2019-09-09 06:56 UTC, Niyaz Akhtar Ansari
no flags Details
dialog (2.96 KB, text/plain)
2019-09-09 06:56 UTC, Niyaz Akhtar Ansari
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2813 None None None 2019-09-23 19:43:09 UTC

Comment 2 CFME Bot 2019-09-04 22:46:57 UTC
New commits detected on ManageIQ/ui-components/hammer:

https://github.com/ManageIQ/ui-components/commit/107ebf9a275042037b6784cd6f931c085da42a0e
commit 107ebf9a275042037b6784cd6f931c085da42a0e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Sep  4 11:43:52 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Sep  4 11:43:52 2019 -0400

    Merge pull request #412 from romanblanco/bz1729379

    Correct dropdown choices for tag control in Dialog User

    (cherry picked from commit f015d5b4222924ebe34754746ac91d116214606b)

    https://bugzilla.redhat.com/show_bug.cgi?id=1749061

 src/dialog-user/components/dialog-user/dialogField.ts | 7 +
 1 file changed, 7 insertions(+)


https://github.com/ManageIQ/ui-components/commit/d934145909d7973395c70b568980a5200b632b37
commit d934145909d7973395c70b568980a5200b632b37
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Wed Sep  4 15:00:12 2019 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Wed Sep  4 15:00:12 2019 -0400

    Merge pull request #414 from himdel/fix412

    dialog-user: Move tagging fix from #412 to setDefaultValue
    (cherry picked from commit b224a5079f8e86de77e8ebc7c5cdace16b993355)

    https://bugzilla.redhat.com/show_bug.cgi?id=1749061

 src/dialog-user/components/dialog-user/dialogField.ts | 7 -
 src/dialog-user/services/dialogData.ts | 5 +
 2 files changed, 5 insertions(+), 7 deletions(-)

Comment 5 CFME Bot 2019-09-05 14:52:17 UTC
New commit detected on ManageIQ/manageiq-ui-service/hammer:

https://github.com/ManageIQ/manageiq-ui-service/commit/cc1a9075ee9546d9225d4e09ec292675f305b9f5
commit cc1a9075ee9546d9225d4e09ec292675f305b9f5
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Sep  5 08:02:20 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Sep  5 08:02:20 2019 -0400

    Update ui-components to 1.1.34 for hammer

    v1.1.34
        ManageIQ/ui-components#412
        ManageIQ/ui-components#414

        https://bugzilla.redhat.com/show_bug.cgi?id=1749061

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

Comment 6 CFME Bot 2019-09-05 15:02:08 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b5624966ac08f335ec0361966ec5876740d39c15
commit b5624966ac08f335ec0361966ec5876740d39c15
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Thu Sep  5 08:02:15 2019 -0400
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Thu Sep  5 08:02:15 2019 -0400

    Update ui-components to 1.1.34 for hammer

    v1.1.34
        ManageIQ/ui-components#412
        ManageIQ/ui-components#414

        https://bugzilla.redhat.com/show_bug.cgi?id=1749061

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

Comment 8 Niyaz Akhtar Ansari 2019-09-09 06:56:26 UTC
Created attachment 1613000 [details]
datastore

Comment 9 Niyaz Akhtar Ansari 2019-09-09 06:56:46 UTC
Created attachment 1613001 [details]
dialog

Comment 11 errata-xmlrpc 2019-09-23 19:43:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2813

Comment 12 CFME Bot 2019-11-18 15:33:20 UTC
New commit detected on ManageIQ/manageiq-ui-service/hammer:

https://github.com/ManageIQ/manageiq-ui-service/commit/53aa871d6fecf09620a58be07c9b230000994d8b
commit 53aa871d6fecf09620a58be07c9b230000994d8b
Author:     Martin Hradil <mhradil@redhat.com>
AuthorDate: Mon Nov 18 10:17:11 2019 -0500
Commit:     Martin Hradil <mhradil@redhat.com>
CommitDate: Mon Nov 18 10:17:11 2019 -0500

    Update ui-components to 1.1.36 for hammer

    v1.1.36
        ManageIQ/ui-components#428

        https://bugzilla.redhat.com/show_bug.cgi?id=1773626

    v1.1.35
        ManageIQ/ui-components#422

        https://bugzilla.redhat.com/show_bug.cgi?id=1768457

    v1.1.34
        ManageIQ/ui-components#412
        ManageIQ/ui-components#414

        https://bugzilla.redhat.com/show_bug.cgi?id=1749061

 package.json | 2 +-
 yarn.lock | 8 +-
 2 files changed, 5 insertions(+), 5 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.